# $Revision: 1.48 $, $Date: 2004/11/12 18:55:54 $
Summary:	Numerical Data Processing and Visualization Tool (grace)
Summary(pl):	Narzdzie do numerycznej obrbki i wizualizacji danych
Name:		grace
Version:	5.1.17
Release:	2
License:	GPL
Group:		Applications/Math
Source0:	ftp://plasma-gate.weizmann.ac.il/pub/grace/src/%{name}-%{version}.tar.gz
# Source0-md5:	a20c1edf572f1a78025e2010d5bb6e83
Source1:	%{name}.desktop
Patch0:		%{name}-FHS.patch
Patch1:		%{name}-home_etc.patch
Patch2:		%{name}-etc.patch
Patch3:		%{name}-fontsdir.patch
URL:		http://plasma-gate.weizmann.ac.il/Grace/
BuildRequires:	XFree86-devel
BuildRequires:	Xbae-devel
BuildRequires:	XmHTML-devel >= 1.1.5
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	fftw-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 0.9.6
BuildRequires:	libtiff-devel
BuildRequires:	motif-devel >= 1.2
BuildRequires:	netcdf-devel >= 3.0
BuildRequires:	pdflib-devel >= 4.0.3
BuildRequires:	t1lib-devel >= 5.0.0
Requires:	ghostscript-fonts-std
Requires:	libpng >= 0.9.6
Requires:	pdflib >= 4.0.3
Requires:	zlib >= 1.0.3
Obsoletes:	xmgr
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Grace is a Motif application for two-dimensional data visualization.
Grace can transform the data using free equations, FFT, cross- and
auto-correlation, differences, integrals, histograms, and much more.
The generated figures are of high quality. Grace is a very convenient
tool for data inspection, data transformation, and and for making
figures for publications.

%description -l pl
Grace jest motifow aplikacj suc do dwuwymiarowej wizualizacji
danych. Moe przeksztaca dane za pomoc wolnych rwna, FFT,
autokorelacji, rniczek, caek, histogramw itd. Powstae wykresy
maj wysok jako. Grace jest bardzo uytecznym narzdziem jeli
chodzi o monitorowanie i transformacj danych oraz tworzenie wykresw
do publikacji.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
cp -f /usr/share/automake/config.* ac-tools
cp -f ac-tools/configure.in .
%{__autoconf}
%configure \
	--enable-grace-home=%{_datadir}/%{name} \
	--enable-editres \
	--enable-extra-incpath=$PKG_BUILD_DIR/include \
	--enable-extra-ldpath=$PKG_BUILD_DIR/lib \
	--without-bundled-xbae \
	%{!?debug:--disable-debug}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_datadir}/grace/doc/{*.sgml,*.dvi,*.1} \
	$RPM_BUILD_ROOT%{_datadir}/grace/examples/dotest

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

gzip -9nf $RPM_BUILD_ROOT%{_datadir}/grace/doc/*.dat \
	$RPM_BUILD_ROOT%{_datadir}/grace/doc/*.agr \
	$RPM_BUILD_ROOT%{_datadir}/grace/doc/*.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%docdir %{_datadir}/grace/doc
%docdir %{_datadir}/grace/examples
%{_datadir}/grace/doc
%{_datadir}/grace/examples
%dir %{_sysconfdir}/grace
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/grace/*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/grace
%{_includedir}/*
%dir %{_datadir}/grace
%{_datadir}/grace/auxiliary
%dir %{_datadir}/grace/templates
%config(noreplace) %verify(not size mtime md5) %{_datadir}/grace/templates/*
%dir %{_datadir}/grace/fonts
%{_datadir}/grace/fonts/enc
%{_datadir}/grace/fonts/FontDataBase
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: grace.spec,v $
Revision 1.48  2004/11/12 18:55:54  paladine
- rel 2 for fixed desktop file

Revision 1.47  2004/08/14 13:52:28  paszczus
- updated to 5.1.17

Revision 1.46  2004/07/05 23:00:21  qboosh
- updated to 5.1.16

Revision 1.45  2004/06/01 06:58:43  adamg
- updated to 5.1.15

Revision 1.44  2004/02/11 23:12:19  qboosh
- release 2

Revision 1.43  2004/02/11 23:09:24  qboosh
- refresh config.sub for amd64

Revision 1.42  2004/02/11 23:01:35  qboosh
- updated to 5.1.14
- switched to desktopdir, try with openmotif (s/lesstif/motif >= 1.2/)

Revision 1.41  2003/10/24 18:26:17  qboosh
- updated to 5.1.13, removed obsolete t1lib patch

Revision 1.40  2003/10/03 15:00:48  qboosh
- cosmetics

Revision 1.39  2003/09/19 22:17:59  gotar
- cosmetics

Revision 1.38  2003/05/26 16:25:08  malekith
- massive attack: adding Source-md5

Revision 1.37  2003/05/25 05:48:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.36  2003/04/03 20:06:37  qboosh
- up to 5.1.12, removed outdated ac25x patch
- added t1lib patch with update for t1lib 5.0.0 API

Revision 1.35  2003/01/18 22:50:07  juandon
- removed two lines with define

Revision 1.34  2002/12/03 12:52:55  roman
- added missing %files intro for grace.desktop

Revision 1.33  2002/12/03 12:46:55  roman
- added grace.desktop to Scientific/Plotting applnk subdir
- changed Release from 2 to 3

Revision 1.32  2002/08/11 17:02:25  kloczek
- relese 2.

Revision 1.31  2002/08/11 01:36:13  qboosh
- DESTDIR patch replaced by FHS patch (grace 5.1.9 supports DESTDIR, but still
  wants to install in own directory tree)
- removed outdated PDFlib patch
- removed libpng 1.2.2 hack
- added missing man pages

Revision 1.30  2002/08/06 18:34:38  marcus
- update to 5.1.9 (not ready yet - need fix)

Revision 1.29  2002/05/21 23:13:28  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.28  2002/05/08 12:13:14  orzech
- renamed home_etc patch

Revision 1.27  2002/04/28 09:43:44  qboosh
- added ac25x patch needed for autoconf 2.53
- libpng 1.2.2 support
- release 4

Revision 1.26  2002/04/25 16:29:53  arturs
fixed a small typo

Revision 1.25  2002/02/23 02:30:44  kloczek
- adapterized.

Revision 1.24  2002/02/22 23:29:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/01/18 02:13:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/10/10 20:10:49  qboosh
- ac2.5x ready
- fontsdir patch: use system-installed ghostscript fonts instead of own copy
- release 3

Revision 1.21  2001/09/28 09:19:32  marcus
- s/%%configure/%%configure2_13/g

Revision 1.20  2001/06/09 00:24:26  qboosh
- Obsoletes: xmgr

Revision 1.19  2001/03/19 00:10:31  kloczek
- use --disable-debug} conditionaly depending on %%{debug}.

Revision 1.18  2001/03/18 23:59:52  qboosh
- cleanup

Revision 1.17  2001/03/18 18:44:32  qboosh
- s/--enable-debug/--disable-debug/
- removed FFTW patch (obsoleted? FFTW files are fftw, not dfftw)
- added netCDF support, use internal XmHTML-based browser to view help
- docs and examples moved to %%{_datadir}/grace/ and marked as doc
  (reason: grace uses it as online help)
- etc patch: use gracerc in /etc/grace
- release 2

Revision 1.16  2001/03/07 19:10:21  qboosh
- more missing dirs: %%{_datadir}/grace{,/*}, %%{_sysconfdir}/grace

Revision 1.15  2001/03/07 18:11:50  kloczek
- do not compress htm %doc,
- fixed %clean,
- removed xpm-devel BuildRequires rule,
- cosmetics.

Revision 1.14  2001/03/07 00:55:05  qboosh
- added missing dir: %%{_libdir}/grace
- typo

Revision 1.13  2000/12/08 08:42:18  kloczek
- adapterized.

Revision 1.12  2000/12/08 08:02:38  roman
- added home-etc support
- grace now links with FFTW library
- enabled PDF driver (grace now links with PDFlibrary)
- added Buildreqs

Revision 1.11  2000/11/28 17:11:57  roman
Upgraded to 5.1.2 version
Added polish Summary

Revision 1.10  2000/08/28 19:55:41  waszi
- A lot of changes spec rewrited in, I am hope, PLD style.
- Version updated to 5.1.1
- rewision set to 1
- remove prewius patch. The reason of remowing is that it doesn't fit to this grace version
- Add DESTDIR patch

Revision 1.9  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:22:52  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/20 13:53:44  kloczek
- spec adapterized.

Revision 1.6  2000/04/04 07:12:59  arturs
- added %description -l pl

Revision 1.5  2000/04/03 02:23:50  kloczek
- more modyfications for PLD packaging policy.

Revision 1.4  2000/04/01 11:14:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:22  baggins
- translated kloczkish into english

Revision 1.2  1999/11/27 14:24:09  kloczek
- adapter(ized) and partialy rewrited.

Based on spec written by Henrik Seidel <Henrik.Seidel@gmx.de>
